# LIBXBEE_REVISION

Section: Linux Programmer's Manual (3)
Updated: 04-Mar-2012
Index Return to Main Contents

## NAME

libxbee_revision, libxbee_commit, libxbee_committer, libxbee_buildtime

## SYNOPSIS

#include <xbee.h>

extern const char libxbee_revision[];

extern const char libxbee_commit[];

extern const char libxbee_committer[];

extern const char libxbee_buildtime[];

## DESCRIPTION

These are static strings that are compiled into the library. These are intended to help with debugging (when you contact me).

libxbee_revision
  contains a version string

  e.g: "v3.0.4"

libxbee_commit
  contains the Git commit ID that the library was built from.

  e.g: "9e8da59e41a6e901d2568861ea6323119927c9cc"

  This string is used to ensure compatibility between the network server and clients. This check can be disabled by specifying XBEE_NO_NET_STRICT_VERSIONS at build time.

libxbee_committer
  contains the name and email of the committer

  e.g: "Attie Grande <attie@attie.co.uk>"

libxbee_buildtime
  contains the buildtime, as output by `date`

  e.g: "Sun Mar 4 17:43:26 GMT 2012"

## EXAMPLE

    #include <xbee.h>

    printf("Libxbee revision: %s\n",   libxbee_revision);
    printf("Libxbee commit: %s\n",     libxbee_commit);
    printf("Libxbee committer: %s\n",  libxbee_committer);
    printf("Libxbee build time: %s\n", libxbee_buildtime);

## AUTHOR

Attie Grande <attie@attie.co.uk>

## SEE ALSO

libxbee(3)

## Index

NAME
SYNOPSIS
DESCRIPTION
EXAMPLE
AUTHOR
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 18:19:27 GMT, September 04, 2013